package com.kingdee.eas.custom.salarytemplate;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WagesChromatographyFactory
{
    private WagesChromatographyFactory()
    {
    }
    public static com.kingdee.eas.custom.salarytemplate.IWagesChromatography getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.salarytemplate.IWagesChromatography)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("24DEF3A8") ,com.kingdee.eas.custom.salarytemplate.IWagesChromatography.class);
    }
    
    public static com.kingdee.eas.custom.salarytemplate.IWagesChromatography getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.salarytemplate.IWagesChromatography)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("24DEF3A8") ,com.kingdee.eas.custom.salarytemplate.IWagesChromatography.class, objectCtx);
    }
    public static com.kingdee.eas.custom.salarytemplate.IWagesChromatography getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.salarytemplate.IWagesChromatography)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("24DEF3A8"));
    }
    public static com.kingdee.eas.custom.salarytemplate.IWagesChromatography getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.salarytemplate.IWagesChromatography)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("24DEF3A8"));
    }
}